Cantera 2.6.0

Classes | Namespaces | Functions
TransportFactory.h File Reference

Header file defining class TransportFactory (see TransportFactory) More...

`#include "TransportBase.h"`
`#include "cantera/base/FactoryBase.h"`
Include dependency graph for TransportFactory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | TransportFactory
| Factory class for creating new instances of classes derived from Transport. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Transport * | newTransportMgr (const std::string &model="", ThermoPhase *thermo=0, int log_level=0)
| Build a new transport manager using a transport manager that may not be the same as in the phase description and return a base class pointer to it. More...
shared_ptr< Transport > | newTransport (ThermoPhase *thermo, const std::string &model="default")
| Create a new Transport instance. More...
Transport * | newDefaultTransportMgr (ThermoPhase *thermo, int loglevel=0)
| Create a new transport manager instance. More...

## Detailed Description

Header file defining class TransportFactory (see TransportFactory)

Definition in file TransportFactory.h.